TBL2ASN(1)

NAME
tbl2asn - prepare a GenBank submission using an ASCII feature table

SYNOPSIS
tbl2asn [-] [-A str] [-C str] [-D filename] [-E] [-F str] [-G str] [-H str] [-J] [-K] [-L] [-M str] [-N n] [-O] [-P] [-Q str] [-R] [-S] [-T] [-U] [-V str] [-W] [-X str] [-Y filename] [-Z filename] [-a str] [-b] [-c str] [-f filename] [-g] [-h] [-i filename] [-j str] [-k str] [-l str] [-m str] [-n str] [-o filename] [-p str] [-q] [-r str] [-s] [-t filename] [-u] [-v] [-w filename] [-x str] [-y str] [-z]

DESCRIPTION
tbl2asn reads a template along with sequence and table files, and outputs ASN.1 for submission to GenBank. Thus, the submitter does not need to read each set of table and sequence files into Sequin. Furthermore, the template file can contain the organism and submitter information common to all records, obviating the need to input these data for each sequence/table pair.

OPTIONS
A summary of options is included below.

-   Print usage message

-a str
    Accession

-C str
    Genome Center tag

-D filename
    Descriptors file

-E  Recurse

-F  Feature ID links:
    o   By Overlap
    p   By Product
    l   By Label and Location
    s   Suppress links forced by -M

-G str
    Alignment Gap Flags (comma separated fields, e.g., p,-,-,-,?,. ) n Nucleotide or p Protein, Begin, Middle, End Gap Characters, Missing Characters, Match Characters Alignment middle Gap characters

-H str
    Hold until publication:
    y   For one year
    mm/dd/yyyy
        Until the specified date

-J  Delayed genomic product set

-K  Safe Bioseq-set

-L  Force Local protein_id/transcript_id

-M str
    Master genome flags:
    n   Normal
    b   Big sequence
    p   Power option
    t   TSA

-N n
    Project version number

-O  Allow run-on ORFs

-P  Remote publication lookup

-Q  mRNA title policy
    s   Special mRNA titles
    r   RefSeq mRNA titles

-R  Remote sequence record fetching from ID

-S  Smart feature annotation

-T  Remote Taxonomy lookup

-U  Remove Unnecessary gene xref

-V str
    Verification (combine any of the following letters)
    v   Validate with Normal Stringency
    r   Validate without Country Check
    c   BarCode validation
    b   Generate GenBank Flatfile
    g   Generate Gene Report
    t   Validate with TSA check

-W  Log progress

-X str
    Extra flags (combine any of the following letters)
    A   Automatic definition line generation
    C   Apply Comments in .cmt files to all sequences
    E   Treat like Eukarypota in the discrepancy report

-Y filename
    Read a comment string from filename

-Z filename
    Write a discrepancy report to filename

-a str
    File type:
    a   Any (default)
    r20u
        Runs of 20+ Ns are gaps, 100 Ns are unknown length
    r20k
        Runs of 20+ Ns are gaps, 100 Ns are known length
    r10u
        Runs of 10+ Ns are gaps, 100 Ns are unknown length
    r10k
        Runs of 10+ Ns are gaps, 100 Ns are known length
    s   FASTA Set (s Batch, s1 Pop, s2 Phy, s3 Mut, s4 Eco, s9 Small-genome)
    d   FASTA Delta
    di  FASTA Delta with Implicit Gaps
    l   FASTA+Gap Alignment (l Batch, l1 Pop, l2 Phy, l3 Mut, l4 Eco, l9 Small-genome)
    z   FASTA with Gap Lines
    e   PHRAP/ACE
    b   ASN.1 (in conjunction with

-b  Generate GenBank file (deprecated in favor of -V b)

-c str
    Cleanup (combine any of the following letters)
    d   Correct Collection Dates (assume month first)
    D   Correct Collection Dates (assume day first)
    b   Append note to coding regions that overlap other coding regions with similar product names and do not contain 'ABC'
    x   Extend partial ends of features by one or two nucleotides to abut gaps or sequence ends
    p   Add exception to non-extendable partials
    s   Add exception to short introns
    f   Fix product names

-f filename
    Single table file

-g  Input is a genomic product set

-h  Convert general ID to note

-i filename
    Single input file

-j str
    Source qualifiers

-k str
    CDS flags (combine any of the following letters)
    c   Annotate Longest ORF
    r   Allow Runon ORFs
    m   Allow Alternative Starts
    k   Set Conflict on Mismatch

-l str
    Add type of evidence used to assert linkage across assembly gaps (only for TSA records). Must be one of the following:
    paired-ends
    align-genus
    align-xgenus
    align-trnscpt
    within-clone
    clone-contig
    map
    strobe

-m str
    Lineage to use for discrepancy report tests

-n str
    Organism name

-o filename
    Single output file

-p str
    Path to files

-q  Set sequence ID from input file name

-r str
    Path for results

-s  Read FASTAs as Set

-t filename
    Read template from filename

-u  Convert GenProdSet to NucProtSet

-v  Validate (deprecated in favor of -V v)

-w filename
    Single structured comment file (overrides the use of -X C)

-x str
    Suffix (default = .fsa)

-y str

-z  Clean up log file Comment

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
Psequin(1), sbtedit(1), tbl2asn.txt, <http://www.ncbi.nlm.nih.gov/Sequin/table.html>.